Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IGetMarkupBaseResponseContext

All Superinterfaces
  IBaseResponseContext, ISessionContext

All Known Subinterfaces:
  IBlockingInteractionBaseResponseContext, IBlockingInteractionResponseContext, IGetMarkupResponseContext, IGetResourceResponseContext

    public interface IGetMarkupBaseResponseContext

extends IBaseResponseContext, ISessionContext

A base response context that represents partial output data of the "getMarkup" operation.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`int` | `getExpires()` Returns the number of seconds the markup referenced by this context object remains valid.
`String` | `getLocale()` Returns the locale of the returned markup.
`String` | `getMarkupCharacterSet()` Returns the character set used to encode the markup.
`InputStream` | `getMarkupData()` Returns an InputStream to read the returned markup.
`String` | `getMimeType()` Returns the Mime type of the returned markup.
`String` | `getPreferredTitle()` Returns the title preferred by the portlet.
`String` | `getUserScope()` Returns a string indicating when the markup may be used by various users.
`String` | `getValidateTag()` Returns a string (unique id on a Producer) that a Consumer can use it to revalidate markup once the expires duration elapses.
`boolean` | `isRequiresUrlRewritingOn()` Returns "true" if a Producer/Portlet indicated that the Consumer-side URL rewriting is required.
`boolean` | `isUseCachedMarkupOn()` Returns true if the markup the Consumer indicated it has cached is still valid.
`void` | `setMarkupCharacterSet(String encoding)` Sets the supplied `encoding` as the encoding used for the encapsulated markup.
`void` | `setMarkupData(InputStream markupData)` Sets the supplied markupData as the new returned markup.
`void` | `setMimeType(String mimeType)` Sets the supplied string as the Mime type of the returned markup.
`void` | `setPreferredTitle(String title)` Sets the supplied `title` as the portlet's preferred title.
`void` | `setRequiresUrlRewritingOn(boolean value)` Sets the supplied value to indicate whether Consumer-side URL rewriting is required or not.
`void` | `setUseCachedMarkupOn(boolean value)` Sets the supplied value that indicates to the Consumer that the cached markup is valid or not.

Methods inherited from interface com.bea.wsrp.model.markup.IBaseResponseContext
`getMimeHeaders, getNamespaceUri, getResponseCookies, render`

Methods inherited from interface com.bea.wsrp.model.markup.ISessionContext
`getSessionExpires, getSessionID, setSessionExpires, setSessionID`

Method Detail

### isUseCachedMarkupOn

    boolean isUseCachedMarkupOn()

  Returns true if the markup the Consumer indicated it has cached is still valid.

  Returns
    true if the Consumer cached markup is still valid.

### setUseCachedMarkupOn

    void setUseCachedMarkupOn(boolean value)

  Sets the supplied value that indicates to the Consumer that the cached markup is valid or not.

  Parameters
    `value` - a boolean value.

### getMimeType

    String getMimeType()

  Returns the Mime type of the returned markup.

  Returns
    a string representing a Mime type.

### setMimeType

    void setMimeType(String mimeType)

  Sets the supplied string as the Mime type of the returned markup.

  Parameters
    `mimeType` - a new Mime type.

### getMarkupData

    InputStream getMarkupData()
                              throws IOException

  Returns an InputStream to read the returned markup. Note: If an interceptor reads the returned markup, there is no way to reset the input stream so that WLP remote portlet can read the markup and render. The correct way to read is to read the returned markup into a ByteArrayOutputStream and set the markup data by creating a new ByteArrayInputStream with the bytes from the output strea, and set the markup data by calling setMarkupData.

  Returns
    An input stream to the returned markup.
  Throws
    `IOException` - if unable to create an input stream.

### setMarkupData

    void setMarkupData(InputStream markupData)

  Sets the supplied markupData as the new returned markup.

  Parameters
    `markupData` - a new input stream to read the markup.

### getMarkupCharacterSet

    String getMarkupCharacterSet()

  Returns the character set used to encode the markup. If not found in the SOAP response message, the character encoding of the current http response of Consumer is returned.

  Returns
    A character set name.

### setMarkupCharacterSet

    void setMarkupCharacterSet(String encoding)

  Sets the supplied `encoding` as the encoding used for the encapsulated markup.

  Parameters
    `encoding` - a character set name.

### getLocale

    String getLocale()

  Returns the locale of the returned markup.

  Returns
    locale of the returned markup.

### isRequiresUrlRewritingOn

    boolean isRequiresUrlRewritingOn()

  Returns "true" if a Producer/Portlet indicated that the Consumer-side URL rewriting is required.

  Returns
    true if Consumer-side URL rewriting is required.

### setRequiresUrlRewritingOn

    void setRequiresUrlRewritingOn(boolean value)

  Sets the supplied value to indicate whether Consumer-side URL rewriting is required or not.

  Parameters
    `value` - a boolean value to indicate Consumer-side URL rewriting is required or not.

### getExpires

    int getExpires()

  Returns the number of seconds the markup referenced by this context object remains valid. -1 indicates markup will never expire. Note: The expires is a member of the cache control type.

  Returns
    number of seconds.

### getUserScope

    String getUserScope()

  Returns a string indicating when the markup may be used by various users. Note: userScope is a member of the cache control type.

  Returns
    a string indicating user scope of the markup.

### getValidateTag

    String getValidateTag()

  Returns a string (unique id on a Producer) that a Consumer can use it to revalidate markup once the expires duration elapses. Note: useScope is a member of the cache control type.

  Returns
    A unique string for revalidating a Portlet's markup.

### getPreferredTitle

    String getPreferredTitle()

  Returns the title preferred by the portlet.

  Returns
    the portlet preferred title.

### setPreferredTitle

    void setPreferredTitle(String title)

  Sets the supplied `title` as the portlet's preferred title.

  Parameters
    `title` - The portlet's preferred title.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.